#standard equipment type config file
#    
#     SM-DU Battery Unit
#
#     Constraint to the Solution config file:
#               Relevant Sampler List: SM-DU
#               Relevant Equipment List: Battery Gourp,SMDU Unit
#


#1. Equipment basic information
[EQUIPMENT_TYPE_INFO]
#Type ID    	Group Type Flag		Type Name	    	Type Name Resource ID
358		0			SM-DU8 Battery Unit2s	146


#2. Define signals of this standard equipment
#2.1 Define the Sampling Signals
[SAMPLING_SIGNAL_NUM]
4

[SAMPLING_SIGNAL_INFO]
#note:if you want to change the sig name, please change the name difined in the relevant resource file synchronously
#Sig ID		Sig Name		Sig Name Resource ID	Sig Unit	Index of Sampler List		Sampler Channel ID	Sig Value Type		Storing Threshold	Storing Interval	Evaluation Expression					Value Range			Value Diaplay Attribute		Value Display Level	Value Display ID	Value Display Format	Disp Exp
2		Battery Current		152			A		1				6507			F			NA			NA			{0,0,2} * ({0,0,2} > 0.999 | {0,0,2} < -0.999)		-100000/100000			W/L				NA			1			.1			[3,2,452]==0 | ([3,2,452]==1 & [1,2,73]==0)
3		Battery Capacity	2			Ah		-1				-3			F			NA			NA			NA							0/50000				W/L				NA			3			.0			NA
4		Capacity Percent	6			%		-1				-2			F			NA			NA			100*[0,0,3]/[0,2,10]					0/100				W/L				NA			4			.1			NA
51		Battery Voltage		7			V		1				6513			F			NA			NA			NA							NA				W/L				NA			2			.1			NA
99		Comm Interrupt State	29			NA		-1				-2			U			NA			NA			[2,0,99]						NA				NA				NA			39			NA			NA
100		State			15			NA		1				6549			E			NA			NA			NA							[ID17=On]/[ID16=Off]		NA				NA			40			NA			NA


#2.2 Define the Control Signals
[CTRL_SIGNAL_NUM]
0

[CTRL_SIGNAL_INFO]
#Sig ID		Sig Name		Sig Name Resource ID	Sig Unit	Index of Sampler List		Sampler Channel ID	Sig Value Type		Value Range		Value Display Attribute		Value Control Attribute		Controlable Expression		Authority Level		Value Display ID	Value Display Format	Control Channel ID	Control Step	Control Param	Control Expression	On Control Action	Disp Exp


#2.3 Define the Setting Signals  
[SETTING_SIGNAL_NUM]
2

[SETTING_SIGNAL_INFO]
#Sig ID		Sig Name				Sig Name Resource ID	Sig Unit	Index of Sampler List		Sampler Channel ID	Sig Value Type		Default Value		Value Range			Value Display Attribute		Value Setting Attribute		Settable Expression	Authority Level		Value Display ID	Value Display Format	Control Channel ID	Setting Step	Control Expression	Persistence Falg	On Control Action	Disp Exp
5		Used by Batt Management			20			NA		-1				-3			E			0			[ID21=Enable]/[ID22=Disable]	W/L				W/L				NA			O			1			NA			-3			NA		NA			1			NA			NA
10		Rated Capacity				96			Ah		-1				-3			F			300			50/50000			W/L				W/L				NA			E			2			.0			-3			10		NA			1			NA			NA
12		Battery Current Imbalance abort(Internal use)			116			NA		-1			-3			E		0				[ID22=no]/[ID21=yes]		NA				NA				NA					E		205			NA			-3			NA				NA			1			NA			NA

#2.4 Define the Alarm Singals
[ALARM_NUM]
3

[ALARM_INFO]
#alarm level: OA MA CA
#Alarm ID	Alarm Name		Alarm Name Resource ID		Alarm Level	Alarm Expression											Alarm Delay	Suppressing Expression	Relay ID
1		Exceed Current Limit	3				OA		([0,2,5]==0)&([1,2,62]==1)&(([0,0,2] > [1,2,29]*[0,2,10])|([0,3,1] & ([0,0,2] > [1,2,29]*[0,2,10]*995/1000)))	NA		[0,3,2]			NA
2		Over Battery current	5				OA		([0,2,5]==0)&([0,0,2] > [1,2,45]*[0,2,10]|([0,3,2]&[0,0,2] > [1,2,45]*[0,2,10]-1))					NA		NA			NA
3		Low Capacity		8				OA		([0,0,3] < [0,2,10]* 0.01*[1,2,60])|([0,3,3] & [0,0,3] < [0,2,10]* 0.01*([1,2,60] + 2))			10		NA			NA
15		Battery Current Imbalance Alarm		116	OA		[0,2,12] == 1						NA		NA				NA
